export declare var ConfigMgr: {
    name: string;
    /**
     * 获取配置项 支持 a.b.c
     * @param {string} v
     * @param {boolean} int
     */
    get: (v: string, int?: boolean) => any;
    set: (k: string, value: any) => void;
    /**
     * 检查配置项是否存在 支持 a.b.c
     * @param v
     */
    has: (v: string) => boolean;
    /**
     * 设置默认配置项
     * @param d
     */
    default: (d: {
        [key: string]: any;
    }) => void;
    /**
     * 切换配置文件
     * @param path
     */
    changeFile: (path: string) => void;
};
export default ConfigMgr;
